[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Pack

Create packed array from normal array

## Declaration

Source position: system.fpd line 88

`procedure Pack(`
`const A: UnpackedArrayType;`
`StartIndex: TIndexType;`
`out Z: PackedArrayType`
`);`

## Description

Pack will copy the elements of an unpacked array (A) to a packed array (Z). It will start the copy at the index denoted by StartIndex. The type of the index variable StartIndex must match the type of the index of A. The elements are always transferred to the beginning of the packed array Z. (i.e. it starts at Low(Z)).

Obviously, the type of the elements of the arrays A and Z must match.

## See also

unpack |  | Create unpacked array from packed array